Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2753773006: [Home] Move bottom sheet classes to widget/bottomsheet (Closed)

Created:
8 months, 1 week ago by Theresa
Modified:
8 months, 1 week ago
Reviewers:
mdjones, gone
CC:
chromium-reviews, asanka, jdonnelly+watch_chromium.org, ntp-dev+reviews_chromium.org, tfarina, browser-components-watch_chromium.org, noyau+watch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Home] Move bottom sheet classes to widget/bottomsheet BUG= Review-Url: https://codereview.chromium.org/2753773006 Cr-Commit-Position: refs/heads/master@{#457800} Committed: https://chromium.googlesource.com/chromium/src/+/f18bffdec83645462dd9f2dcfc93833760b289fd

Patch Set 1 #

Patch Set 2 : Move EmptyBottomSheetObserver too #

Patch Set 3 : Rebase #

Patch Set 4 : Fix bottom_sheet_bottom_nav.xml #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+41 lines, -1355 lines) Patch
M chrome/android/java/res/layout/bottom_control_container.xml View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/android/java/res/layout/bottom_sheet_bottom_nav.xml View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ChromeActivity.java View 1 1 chunk +3 lines, -3 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ChromeTabbedActivity.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/DownloadSheetContent.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/history/HistorySheetContent.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/ChromeHomeNewTabPage.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/omnibox/LocationBar.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/omnibox/LocationBarLayout.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/suggestions/SuggestionsBottomSheetContent.java View 1 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/toolbar/BottomToolbarPhone.java View 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/toolbar/Toolbar.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/toolbar/ToolbarLayout.java View 1 chunk +1 line, -1 line 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java View 1 chunk +0 lines, -836 lines 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheetContentController.java View 1 chunk +0 lines, -177 lines 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheetObserver.java View 1 chunk +0 lines, -50 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/EmptyBottomSheetObserver.java View 1 1 chunk +0 lines, -25 lines 0 comments Download
A + chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheet.java View 5 chunks +6 lines, -7 lines 0 comments Download
A + chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java View 2 chunks +2 lines, -2 lines 0 comments Download
A + chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetObserver.java View 1 chunk +1 line, -1 line 0 comments Download
A + chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/EmptyBottomSheetObserver.java View 1 1 chunk +1 line, -1 line 0 comments Download
A chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS View 1 chunk +2 lines, -0 lines 2 comments Download
M chrome/android/java_sources.gni View 1 4 chunks +5 lines, -5 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/ntp/ChromeHomeNewTabPageTest.java View 1 chunk +1 line, -1 line 0 comments Download
D chrome/android/javatests/src/org/chromium/chrome/browser/widget/BottomSheetObserverTest.java View 1 chunk +0 lines, -228 lines 0 comments Download
A + chrome/android/javatests/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetObserverTest.java View 1 chunk +1 line, -1 line 0 comments Download
A chrome/android/javatests/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/android/javatests/src/org/chromium/chrome/test/BottomSheetTestCaseBase.java View 1 chunk +2 lines, -2 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 24 (16 generated)
Theresa
ptal
8 months, 1 week ago (2017-03-16 20:36:34 UTC) #3
mdjones
lgtm
8 months, 1 week ago (2017-03-16 21:43:29 UTC) #7
Theresa
+dfalcantara@ for OWNERS
8 months, 1 week ago (2017-03-16 21:56:42 UTC) #9
dgn
https://codereview.chromium.org/2753773006/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS File chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS (right): https://codereview.chromium.org/2753773006/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS#newcode2 chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS:2: twellington@chromium.org nit: add ownership info? https://docs.google.com/document/d/1jty6UsFMW9-SYgpQC-ztEc3lltziOQBBArMkROCSTh0/edit#heading=h.r68wto6wh4dj
8 months, 1 week ago (2017-03-17 11:05:29 UTC) #16
Theresa
https://codereview.chromium.org/2753773006/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS File chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS (right): https://codereview.chromium.org/2753773006/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS#newcode2 chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/OWNERS:2: twellington@chromium.org On 2017/03/17 11:05:29, dgn wrote: > nit: add ...
8 months, 1 week ago (2017-03-17 15:08:54 UTC) #17
gone
lgtm
8 months, 1 week ago (2017-03-17 16:41:06 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2753773006/60001
8 months, 1 week ago (2017-03-17 17:13:35 UTC) #21
commit-bot: I haz the power
8 months, 1 week ago (2017-03-17 17:19:53 UTC) #24
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/f18bffdec83645462dd9f2dcfc93...

Powered by Google App Engine
This is Rietveld efc10ee0f